---
search:
  tags:
    - Channels
    - GET
seo:
  description: >-
    Retrieves all channels for the app, including their associated… Reference
    for the GET /api/v1/{team_slug}/{app_slug}/channels endpoint in the
    Management API.
sidebar:
  label: List channels
  badge: GET
title: List channels
type: openapi-operation
---
Retrieves all channels for the app, including their associated tag rules.

`GET /api/v1/{team_slug}/{app_slug}/channels`

**Responses**

- `200` — Channels retrieved successfully
- `500` — Internal server error

Response example, 200:

```json
{
  "data": [
    {
      "active": true,
      "created_at": "string",
      "description": "string",
      "effective_publishing_rule": {
        "created_at": "string",
        "id": "string",
        "is_default": true,
        "minimum_images": 0,
        "name": "string",
        "should_have_brand": true,
        "should_have_category": true,
        "should_have_description": true,
        "should_have_main_category": true,
        "should_have_price": true,
        "should_have_product_name": true,
        "updated_at": "string"
      },
      "id": "string",
      "market_ids": [
        "string"
      ],
      "name": "string",
      "publishing_rule_id": "string",
      "slug": "string",
      "store_group_id": "string",
      "updated_at": "string"
    }
  ],
  "success": true,
  "total": 0,
  "total_pages": 0
}
```
